---
title: Infinity
slug: Web/JavaScript/Reference/Global_Objects/Infinity
tags:
  - JavaScript
  - Property
  - Reference
---
<div>{{jsSidebar("Objects")}}</div>

<p>The global property <code><strong>Infinity</strong></code> is a numeric value representing infinity.</p>

<p>{{js_property_attributes(0,0,0)}}</p>

<div>{{EmbedInteractiveExample("pages/js/globalprops-infinity.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Description">Description</h2>

<p><code>Infinity</code> is a property of the <em>global object</em>. In other words, it is a variable in global scope.</p>

<p>The initial value of <code>Infinity</code> is {{jsxref("Number.POSITIVE_INFINITY")}}. The value <code>Infinity</code> (positive infinity) is greater than any other number.</p>

<p>This value behaves slightly differently than mathematical infinity; see {{jsxref("Number.POSITIVE_INFINITY")}} for details.</p>

<p>As defined by the ECMAScript 5 specification, <code>Infinity</code> is read-only (implemented in JavaScript 1.8.5 / Firefox 4).</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_Infinity">Using Infinity</h3>

<pre class="brush: js">console.log(Infinity          ); /* Infinity */
console.log(Infinity + 1      ); /* Infinity */
console.log(Math.pow(10, 1000)); /* Infinity */
console.log(Math.log(0)       ); /* -Infinity */
console.log(1 / Infinity      ); /* 0 */
console.log(1 / 0             ); /* Infinity */
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-value-properties-of-the-global-object-infinity', 'Infinity')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Infinity")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Number.NEGATIVE_INFINITY")}}</li>
 <li>{{jsxref("Number.POSITIVE_INFINITY")}}</li>
 <li>{{jsxref("Number.isFinite")}}</li>
</ul>
